Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Class AbleJarInfo

    java.lang.Object
      com.ibm.able.editor.AbleJarInfo

public class AbleJarInfo
extends java.lang.Object

Represents a loaded Jar file

Constructor Summary
`AbleJarInfo(java.lang.String jarName, AbleClassLoader cl, java.lang.String[] beanNames, boolean[] fromPrototype, AbleJarMessageHeader[] manifestData)` Create a JarInfo.

Method Summary
`static java.beans.BeanInfo` | `getBeanInfo(java.lang.Class className)`
`java.beans.BeanInfo` | `getBeanInfo(int i)` Get the BeanInfo for the ith bean in this jar file
`int` | `getCount()` Get the number of beans in this Jar file
`java.lang.Object` | `getInstance(java.lang.String name)` Get a new Bean instance given its name
`java.lang.String` | `getJarName()` Get the name of the file containing this JAR
`static java.lang.String` | `getJarName(java.lang.String beanName)` Global information: where did a given bean came from?
`AbleJarMessageHeader` | `getManifestData(java.lang.String name)` Get to Manifest Headers for this bean
`java.lang.String` | `getName(int i)` The bean name of this bean
`boolean` | `isFromPrototype(java.lang.String name)` Indicates whether this bean was from a serialized prototype.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleJarInfo

    public AbleJarInfo(java.lang.String jarName,
                       AbleClassLoader cl,
                       java.lang.String[] beanNames,
                       boolean[] fromPrototype,
                       AbleJarMessageHeader[] manifestData)

  Create a JarInfo.

Parameters:
  `jarName` - The name of the file containing the Jar
  `cl` - The ClassLoader instance
  `beanNames` - The names for all the beans
  `fromPrototype` - Whether this bean is from a serialized prototype
  `manifestData` - The manifest data for each bean.

Method Detail

### getJarName

    public static java.lang.String getJarName(java.lang.String beanName)

  Global information: where did a given bean came from?

### getJarName

    public java.lang.String getJarName()

  Get the name of the file containing this JAR

### getCount

    public int getCount()

  Get the number of beans in this Jar file

### getBeanInfo

    public java.beans.BeanInfo getBeanInfo(int i)

  Get the BeanInfo for the ith bean in this jar file

### getBeanInfo

    public static java.beans.BeanInfo getBeanInfo(java.lang.Class className)
                                           throws AbleException

  Throws:
    `AbleException`

### getName

    public java.lang.String getName(int i)

  The bean name of this bean

### isFromPrototype

    public boolean isFromPrototype(java.lang.String name)

  Indicates whether this bean was from a serialized prototype. Is the bean unused so far?

### getManifestData

    public AbleJarMessageHeader getManifestData(java.lang.String name)

  Get to Manifest Headers for this bean

### getInstance

    public java.lang.Object getInstance(java.lang.String name)

  Get a new Bean instance given its name

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005